Compiler Choices

From Valve Developer Community
Revision as of 22:25, 18 October 2019 by Practical Problems (talk | contribs) (Why does this page still have info on vs2005 and vs2008?)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Español Русский
Visual Studio logo
GCC logo

You have several choices for compiling unedited variants of the Source SDK:

  1. Visual Studio 2013 — officially-supported compilers for SDK 2013, works the best for it. SDK 2013 users should read this
  2. Visual Studio 2010 / Visual C++ Express 2010 — needs a manual fix for Alien Swarm SDK, but works best for it.
  3. GCC — which is used to compile Linux Dedicated Servers.

If you own a copy of Visual Studio you'll probably want to use that, and if you're compiling for Linux you don't have a choice to make, which leaves only the Express editions and the free, but license restrictive, Visual Studio 2013 Community edition to choose between. Differences between the free Express 2013 for Windows Desktop and Professional/Premium/Ultimate/Community most likely won't be a concern of yours; however, the installation of the Multibyte MFC Library for Visual Studio 2013 add-on (in the source SDK set up instructions) doesn't detect Visual Studio Express 2013 and doesn't work with it because MFC is not included in that edition. The add-on will work with Visual Studio Community 2013. If you are a current student though you can get a free copy of the Professional edition from Microsoft.

Note:Visual Studio Community 2013 allows for individuals to do what they wish and sell software made with it, but be wary if you are an organization or affiliated with one. You can view the terms for the Visual Studio Community 2013 EULA here. Visual Studio Community 2013 is practically the same as the Professional edition, but with the aforementioned license restrictions.

Additional SDKs

  • Source 2013 users may need to manually install the Microsoft Speech SDK. See this for more info.
  • If you want to create new shaders, the DirectX SDK is required.

See also